Subject: bug#11807: closed (Re: bug#11807: M-x display-time-world & EDT/DST)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Nov 2013 03:59:03 +0000

Your bug report

#11807: M-x display-time-world & EDT/DST

which was filed against the emacs,w32 package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11807: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11807
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11807: M-x display-time-world & EDT/DST
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Tue, 01 Jan 2002 06:00:52 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

I have an actual watch (which is more reliable) to look up at time.  So
closing this request.

Subject: M-x display-time-world & EDT/DST
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Thu, 28 Jun 2012 13:35:08 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Bug confirmed by John Wiegley.  See
http://lists.gnu.org/archive/html/help-gnu-emacs/2012-06/msg00476.html

,---- M-x display-time-world
| Seattle   Wednesday 27 June 01:24 PDT
| New York  Wednesday 27 June 04:24 EDT <===  Off by 1 hr 
| London    Wednesday 27 June 09:24 BST
| Paris     Wednesday 27 June 10:24 CDT
| Bangalore Wednesday 27 June 14:54 IST <=== Local Timezone
| Tokyo     Wednesday 27 June 18:24 JST
`----

,---- http://www.timeanddate.com/worldclock/city.html?n=179
| 
| Current Time|Wednesday, 27 June 2012, 05:27:42 EDT <=== Time now
| 
| | Standard time zone:       | UTC/GMT -5 hours            |
| | Daylight saving time:     | +1 hour                     |
| | Current time zone offset: | UTC/GMT -4 hours            |
| | Time zone abbreviation:   | EDT - Eastern Daylight Time |
`----

As you can see, the time reported by Emacs is off by 1 hr.  Is there a
way to fix it?

Also I could take some help with interpreting the value of this
variable.  Should display-time-world be documented in Emacs reference
manual? 

,----[ C-h v display-time-world-list RET ]
| display-time-world-list is a variable defined in `time.el'.
| Its value is (("PST8PDT" "Seattle")
|  ("EST5EDT" "New York")
|  ("GMT0BST" "London")
|  ("CET-1CDT" "Paris")
|  ("IST-5:30" "Bangalore")  <=== Why this ''minus''. Isn't IST = GMT+5:30?
|  ("JST-9" "Tokyo"))
| 
| 
| Documentation:
| Alist of time zones and places for `display-time-world' to display.
| Each element has the form (TIMEZONE LABEL).
| TIMEZONE should be in a format supported by your system.  See the
| documentation of `zoneinfo-style-world-list' and
| `legacy-style-world-list' for two widely used formats.  LABEL is
| a string to display as the label of that TIMEZONE's time.
| 
| You can customize this variable.
| 
| This variable was introduced, or its default value was changed, in
| version 23.1 of Emacs.
| 
| [back]
`----

ps: I am really interested in local Ottawa time (which is apparently
same as NY's throughout the year)